get/end-user-identity
Retrieval of the identity of the end-user (AISP)
OAuth2 scope: aisp
Description
This call returns the identity of the PSU (end-user).
Prerequisites
- The TPP was registered by the Registration Authority for the AISP role.
- The TPP and the PSU have a contract that was enrolled by the ASPSP
- At this step, the ASPSP has delivered an OAUTH2 "Authorization Code" or "Resource Owner Password" access token to the TPP (cf. paragraph 3.4.2).
- The TPP and the ASPSP have successfully processed a mutual check and authentication
- The TPP has presented its OAUTH2 "Authorization Code" or "Resource Owner Password" access token which allows the ASPSP to identify the relevant PSU and retrieve the linked PSU context (cf. paragraph 3.4.2) if any.
- The ASPSP takes into account the access token that establishes the link between the PSU and the AISP.
Business Flow
The AISP asks for the identity of the PSU. The ASPSP answers with the identity, i.e. first and last names of the end-user.
Parameters (17)
- Authorizationheaderstringrequired
Access token to be passed as a header
- PSU-IP-Addressheaderstring
IP address used by the PSU's terminal when connecting to the TPP
- PSU-IP-Portheaderstring
IP port used by the PSU's terminal when connecting to the TPP
- PSU-HTTP-Methodheaderstring
Http method for the most relevant PSU's terminal request to the TTP
- PSU-Dateheaderstring
Timestamp of the most relevant PSU's terminal request to the TTP
- PSU-GEO-Locationheaderstring
Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP
- PSU-User-Agentheaderstring
"User-Agent" header field sent by the PSU terminal when connecting to the TPP
- PSU-Refererheaderstring
"Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.
- PSU-Acceptheaderstring
"Accept" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Charsetheaderstring
"Accept-Charset" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Encodingheaderstring
"Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Languageheaderstring
"Accept-Language" header field sent by the PSU terminal when connecting to the TPP
- PSU-Device-IDheaderstring
UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.
- Digestheaderstring
Digest of the body
- Signatureheaderstring
http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.
- X-Request-IDheaderstringrequired
Correlation header to be set in a request and retrieved in the relevant response
- X-JWS-Signatureheaderstring
Responses
200
The ASPSP returns the identity of the PSU
HalEndUserIdentity
HYPERMEDIA structure used for returning the identity of the PSU. The [identity] property specifies the identity of the PSU which has granted access to the AISP on the accounts data This information can be retrieved based on the PSU's authentication that occurred during the OAUTH2 access token initialisation.
Fields (2)
- identityIdentityrequired
Schema: Identity
- fullNamestringrequired
Last name and first name
Last name and first name
Constraints: maxLength: 140
- namePrefixNamePrefixCode
Schema: NamePrefixCode
Code Name Description DOCTDoctor — MADMMadam — MISSMiss — MISTMister — - firstNamestring
First name
First name
Constraints: maxLength: 70
- lastNamestring
Last name
Last name
Constraints: maxLength: 70
- _linksEndUserIdentityLinksrequired
Schema: EndUserIdentityLinks
- selfGenericLinkrequired
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- accountsGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- consentsGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- trustedBeneficiariesGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
204
No content.
Shared response definition: 204
401
Unauthorized, authentication failure.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
403
Forbidden, authentication successful but access to resource is not allowed.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
404
Not found, no request available.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
405
Method Not Allowed.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
406
Not Acceptable.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
429
Too many requests.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
500
Internal server error.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
Schemas used by this endpoint
Every structure referenced by this operation, listed once. Cross-references resolve to anchors on this page.
EndUserIdentityLinks
links that can be used for further navigation after retrieving end-user identity
| Link | Description |
|---|---|
| self | link to the end-user identity |
| accounts | link to the list of all available accounts |
| consents | link to the consents forwarding |
| trustedBeneficiaries | link to the list of trusted beneficiaries |
Fields (4)
- selfGenericLinkrequired
Schema: GenericLink
- accountsGenericLink
Schema: GenericLink
- consentsGenericLink
Schema: GenericLink
- trustedBeneficiariesGenericLink
Schema: GenericLink
ErrorDetail
detailed error description
Fields (9)
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item schema: ErrorDetail
GenericLink
hypertext reference
Fields (2)
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
HalEndUserIdentity
HYPERMEDIA structure used for returning the identity of the PSU. The [identity] property specifies the identity of the PSU which has granted access to the AISP on the accounts data This information can be retrieved based on the PSU's authentication that occurred during the OAUTH2 access token initialisation.
Fields (2)
- identityIdentityrequired
Schema: Identity
- _linksEndUserIdentityLinksrequired
Schema: EndUserIdentityLinks
Identity
HYPERMEDIA structure used for returning the identity of the PSU
Fields (4)
- fullNamestringrequired
Last name and first name
Last name and first name
Constraints: maxLength: 140
- namePrefixNamePrefixCode
Schema: NamePrefixCode
- firstNamestring
First name
First name
Constraints: maxLength: 70
- lastNamestring
Last name
Last name
Constraints: maxLength: 70
NamePrefixCode
Specifies the terms used to formally address a person. This field accepts the following code values
| Code | Name | Description |
|---|---|---|
DOCT | Doctor | — |
MADM | Madam | — |
MISS | Miss | — |
MIST | Mister | — |